List channels
GET
/api/v1/channels
const url = 'https://api.inside.chat/api/v1/channels?website_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.inside.chat/api/v1/channels?website_id=example' \ --header 'Authorization: Bearer <token>'Required scopes:
live_read
Data access: –
MCP tool:channels
List the website’s permitted channels.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”website_id
required
string
An explicitly granted website.
Responses
Section titled “Responses”Authorized result. Projection depends on current scopes and data policy.
Invalid, duplicate or unsupported request parameters.
Missing, expired or revoked installation credential.
Resource not found or not permitted by current authority.
The requested capability is not available for application installations.
Per-app quota exceeded.
Headers
Section titled “Headers”Retry-After
integer
Enrollment, native service or required authority is unavailable.